Bug 186887 - Review Request: libnetfilter_conntrack - Netfilter conntrack userspace library
Review Request: libnetfilter_conntrack - Netfilter conntrack userspace library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On: 186811
Blocks: FE-ACCEPT 186892
  Show dependency treegraph
 
Reported: 2006-03-27 03:59 EST by Paul P Komkoff Jr
Modified: 2012-12-04 08:36 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-14 12:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul P Komkoff Jr 2006-03-27 03:59:45 EST
Spec Name or Url: http://stingr.net/l/fe/libnetfilter_conntrack.spec
SRPM Name or Url: http://stingr.net/l/fe/libnetfilter_conntrack-0.0.30-1.src.rpm
Description:
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table.

P.S. This BuildRequires libnfnetlink which is on review too, I've put all these built in mock here: http://proxy.sgu.ru/mock/4/x86_64/
Comment 2 Stefan Neufeind 2006-05-11 09:57:52 EDT
Since 186811 has been approved now, any objections to this package?
Comment 3 Kevin Fenzi 2006-05-13 21:40:05 EDT
In answer to comment #2:

Each package must go through a review. ;)

And here is one for this package:

See below - Rpmlint output.
OK - Package name.
OK - Spec file name matches.
OK - Package guidelines.
OK - Licsense.
OK - License field matches in spec.
OK - License included in files
OK - Spec in american english
OK - Spec legible
OK - Md5sum of source from upstream
e07f3d159a869900fbf23f5df12aaf3e  libnetfilter_conntrack-0.0.30.tar.bz2
e07f3d159a869900fbf23f5df12aaf3e  libnetfilter_conntrack-0.0.30.tar.bz2.1

OK - Compiles and builds on one arch at least.
(builds in mock on fc5)
OK - Excludearch not needed
OK - Forbidden buildrequires not included
OK - All required buildrequires included
OK - Ldconfig in post/postun if including libs.
OK - Owns all directories it creates.
OK - No duplicate files in %files listing.
OK - Permissions on files correct.
OK - Clean section correct.
OK - Macros consistant.
OK - Code not content.
OK - Docs must not affect runtime.
OK - Header files/libs in a devel package.
OK - .so files in devel package.
OK - Devel package requires base package.
OK - No .la files.
OK - Doesn't own any files/dirs that are already owned by others.

1. One rpmlint warning:

W: libnetfilter_conntrack-devel summary-not-capitalized netfilter conntrack
userspace library

Suggest: Change the devel summary to "Netfilter conntrack userspace library
development files"

Looks good. If you could fix up the rpmlint warning when you import
into CVS that would be great.

This package is APPROVED.
Don't forget to close this bug when you have imported and built the package.
Comment 4 Paul P Komkoff Jr 2009-10-13 08:24:08 EDT
Package Change Request
======================
Package Name: libnetfilter_conntrack
New Branches: EL-4 EL-5
Owners: stingray jrussek
Comment 5 Kevin Fenzi 2009-10-15 13:34:04 EDT
jrussek doesn't seem to be in the packager group. 
Can you get their sponsorship fixed up, or file a new request?
Comment 6 Paul P Komkoff Jr 2012-12-03 17:00:13 EST
Package Change Request
======================
Package Name: libnetfilter_conntrack
New Branches: EL-5 EL-6
Owners: stingray
Comment 7 Jon Ciesla 2012-12-04 08:36:26 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.